#pragma once

#include "CoreMinimal.h"
#include "AssignedPerkProperties.h"
#include "CharacterLevelData.generated.h"

USTRUCT(BlueprintType)
struct FCharacterLevelData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Level;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 ExperienceToNextLevel;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsComplete;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool HasPerksBeenSelected;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FAssignedPerkProperties> PerkSelection;

public:
	DEADBYDAYLIGHT_API FCharacterLevelData();
};

FORCEINLINE uint32 GetTypeHash(const FCharacterLevelData) { return 0; }
